Bug 856078 - Please update openocd to release 0.6.0
Please update openocd to release 0.6.0
Product: Fedora
Classification: Fedora
Component: openocd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dean Glazeski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-11 03:08 EDT by Alex G.
Modified: 2013-06-01 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: openocd-0.7.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-14 23:03:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex G. 2012-09-11 03:08:23 EDT
OpenOCD 0.6.0 includes support for stlink v2 (not present in 0.5.0), which is very handy in working with the new STM32 discovery boards.
Comment 1 Dean Glazeski 2012-09-11 03:39:12 EDT
I'm going to try and take care of this tonight.  As it turns out, I broke my Fedora installation while trying to do this exact thing, so hopefully I get that resolved quickly.
Comment 2 Fedora Update System 2012-09-11 15:32:52 EDT
openocd-0.6.0-1.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-09-11 15:33:31 EDT
openocd-0.6.0-1.fc16 has been submitted as an update for Fedora 16.
Comment 4 Fedora Update System 2012-09-11 15:33:43 EDT
openocd-0.6.0-1.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2012-09-12 15:15:21 EDT
Package openocd-0.6.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openocd-0.6.0-1.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Alex G. 2012-09-16 16:39:14 EDT
Thanks for the quick response.

You will need to pass "--enable-stlink" to the configure script to enable stlink (and thus the STM32 boards I mentioned).
Comment 7 Dean Glazeski 2012-09-16 16:41:59 EDT
Oh, I didn't realize that.  I'll fix that tomorrow, I guess :)
Comment 8 Fedora Update System 2012-09-17 15:13:21 EDT
openocd-0.6.0-2.fc17 has been submitted as an update for Fedora 17.
Comment 9 Fedora Update System 2012-09-17 15:13:34 EDT
openocd-0.6.0-2.fc18 has been submitted as an update for Fedora 18.
Comment 10 Fedora Update System 2012-09-17 15:13:46 EDT
openocd-0.6.0-2.fc16 has been submitted as an update for Fedora 16.
Comment 11 Alex G. 2012-10-06 21:51:31 EDT
This time it works great!!! Thank you!
Comment 12 Fedora Update System 2013-05-22 08:42:49 EDT
openocd-0.6.1-1.fc18 has been submitted as an update for Fedora 18.
Comment 13 Fedora Update System 2013-06-01 21:54:11 EDT
openocd-0.7.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.